---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# AdminPostOrdersOrderSwapsSwapProcessPaymentParams

Parameters that can be used to configure how data is retrieved.

## Properties

<ParameterTypes parameters={[
  {
    "name": "expand",
    "type": "`string`",
    "description": "Comma-separated relations that should be expanded in the returned data.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "fields",
    "type": "`string`",
    "description": "Comma-separated fields that should be included in the returned data.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
